MANPATH(1)

NAMA
manpath - menentukan jalur pencarian untuk halaman buku panduan

RINGKASAN
manpath [-qgdc?hV] [-m sistem[,...]] [-C berkas]

DESKRIPSI
Jika $MANPATH diset, manpath akan secara sederhana menampilkan isinya dan mengisukan peringatan. Jika tidak, manpath akan menentukan sebuah hierarki jalur pencarian halaman buku panduan yang sesuai dan menampilkan hasilnya. Jalur dipisahkan kolon ditentukan menggunakan informasi diperoleh dari berkas konfigurasi man-db - (/etc/man_db.conf) dan lingkungan pengguna.

PILIHAN

-q, --quiet
    Jangan isukan peringatan.

-d, --debug
    Tampilkan informasi penelusuran.

-c, --catpath
    Hasilkan sebuah jalur cat daripada ke sebuah jalur man. Sekali jalur man ditentukan, setiap elemen jalur diubah ke relatif jalur cat.

-g, --global
    Hasilkan sebuah jalur path terdiri dari seluruh jalur bernama sebagai `global' didalam berkas konfigurasi man-db.

-m sistem[,...], --systems=sistem[,...]
    Jika sistem ini memiliki akses ke hierarki sistem buku panduan sistem operasi lain, pilihan ini dapat digunakan untuk memasukannya dalam keluaran dari manpath. Untuk memasukan hierarki halaman buku panduan OS baru gunakan pilihan -m OS baru. sistem spesifikasi dapat berupa sebuah kombinasi dari nama sistem operasi dipisahkan koma. Untuk memasukan hierarki halaman buku panduan sistem operasi native, nama sistem man harus dimasukan dalam argumen string. Pilihan ini akan mengesampingkan variabel lingkungan $SYSTEM.

-C berkas, --config-file=berkas
    Gunakan berkas konfigurasi pengguna ini daripada ~/.manpath.

-?, --help
    Tampilkan sebuah pesan bantuan dan keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

LINGKUNGAN

MANPATH
    Jika $MANPATH diset, manpath menampilkan nilainya daripada menentukannya diwaktu jalan. Jika $MANPATH diawali oleh sebuah kolon, maka nilai dari variabel ditambahkan ke daftar ditentukan dari isi dari berkas konfigurasi. Jika kolon datang di akhir dari nilai dalam variabel, maka daftar ditentukan ditambahkan ke isi dari variabel. Jika nilai dari variabel berisi kolon ganda (::), maka daftar yang ditentukan dimasukan ditengah dari nilai, diantara dua kolon.

SYSTEM
    Jika $SYSTEM telah diset, ini akan memiliki efek sama seperti jika ini telah dispesifikasikan sebagai argumen ke pilihan -m.

BERKAS

/etc/man_db.conf
    berkas konfigurasi man-db.

LIHAT JUGA
apropos(1), man(1), whatis(1)

PENGARANG
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).